CREATE TABLE exm_project_exp_type_maps (
    EXPENSE_TYPE_ID          NUMBER(18, 0),
    PROJECT_UNIT_ID          NUMBER(18, 0),
    EXPENDITURE_TYPE_ID      NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    EXPENSE_TYPE_ID          NUMBER(18, 0),
    PROJECT_UNIT_ID          NUMBER(18, 0),
    EXPENDITURE_TYPE_ID      NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_exm_project_exp_type_maps PRIMARY KEY (EXPENSE_TYPE_ID, PROJECT_UNIT_ID, EXPENDITURE_TYPE_ID, EXPENSE_TYPE_ID, PROJECT_UNIT_ID, EXPENDITURE_TYPE_ID)
);
